aboutsummaryrefslogtreecommitdiff
path: root/gnu
diff options
context:
space:
mode:
authorCeri Davies <ceri@FreeBSD.org>2004-09-14 20:30:35 +0000
committerCeri Davies <ceri@FreeBSD.org>2004-09-14 20:30:35 +0000
commit3f83bced707a618805413e12825029c0d11330f6 (patch)
treece243cb11bcde62cfc4e6763419ad690124bf189 /gnu
parent8dc77a61630b5ad307a08068288c974d664413a2 (diff)
downloadsrc-3f83bced707a618805413e12825029c0d11330f6.tar.gz
src-3f83bced707a618805413e12825029c0d11330f6.zip
Use a safe temporary file for saving out the PR if send-pr is
interrupted. MT5: 7 days MT4: 7 days
Notes
Notes: svn path=/head/; revision=135246
Diffstat (limited to 'gnu')
-rw-r--r--gnu/usr.bin/send-pr/send-pr.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/gnu/usr.bin/send-pr/send-pr.sh b/gnu/usr.bin/send-pr/send-pr.sh
index ea6e98ac9e8a..594c40a9c65d 100644
--- a/gnu/usr.bin/send-pr/send-pr.sh
+++ b/gnu/usr.bin/send-pr/send-pr.sh
@@ -262,7 +262,7 @@ TEMP=`mktemp -t pf` || exit 1
# Catch some signals. ($xs kludge needed by Sun /bin/sh)
xs=0
trap 'rm -f $REF $TEMP; exit $xs' 0
-trap 'echo "$COMMAND: Aborting ... saving unfinished PR into /tmp/pr.$$"; rm -f $REF ; mv $TEMP /tmp/pr.$$; xs=1; exit' 1 2 3 13 15
+trap 'SAV=`mktemp -t pr`;echo "$COMMAND: Aborting ... saving unfinished PR into $SAV"; rm -f $REF ; mv $TEMP $SAV; xs=1; exit' 1 2 3 13 15
# If they told us to use a specific file, then do so.
if [ -n "$IN_FILE" ]; then